WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Upgrade to 3.5 broke things (13 posts)

  1. cybernet70wp
    Member
    Posted 1 year ago #

    I just upgraded to 3.5 which looks fab however, i did experience issues with Add Media and could not switch to visual mode, drop downs etc....

    i added this to the wp-config page
    define('SCRIPT_DEBUG', true);

    i also tried this
    define('CONCATENATE_SCRIPTS', false );

    I have cleared cache and renamed plugins folder but still got issues.

    Any advice if this is being worked on or what to do next ?

  2. Samuel Wood (Otto)
    Tech Ninja
    Posted 1 year ago #

    Did you follow the troubleshooting steps in the master list?

    http://wordpress.org/support/topic/troubleshooting-wordpress-35-master-list?replies=4

    Do you have any error messages displayed in the javascript console of your browser?

  3. cybernet70wp
    Member
    Posted 1 year ago #

    mmm...........quite a few and some theme specific

    here is one:
    Timestamp: 12/12/2012 21:26:02
    Warning: Error in parsing value for 'filter'. Declaration dropped.
    Source File: ********/wp-includes/js/tinymce/plugins/inlinepopups/skins/clearlooks2/window.css?ver=358-23156
    Line: 10

    another:

    Timestamp: 12/12/2012 21:27:01
    Warning: Use of attributes' specified attribute is deprecated. It always returns true.
    Source File: ********/wp-content/themes/rockit/scripts/jquery-1.7.2.min.js?ver=1.7.2
    Line: 2

  4. esmi
    Forum Moderator
    Posted 1 year ago #

    What errors do you get when running Twenty Twelve with all plugins deactivated?

  5. cybernet70wp
    Member
    Posted 1 year ago #

    if i change the theme, will i have to reset all options and widget positions when i reactive my own theme ?

    Please advise before i do.

  6. cybernet70wp
    Member
    Posted 1 year ago #

    OK, i changed to twenty twelve and this worked. However, when reverting back to my theme, i can no longer add widgets to sidebar and im well stuck now.

    Luckily, i had the old website (not wordpress) which i have had no alternative to reactivate until i can solve this issue. Gutted to say the least !

  7. Samuel Wood (Otto)
    Tech Ninja
    Posted 1 year ago #

    Your theme is using its own older version of jQuery, as this line of text indicates:

    /wp-content/themes/rockit/scripts/jquery-1.7.2.min.js

    Find your theme author and complain to them about it. WordPress is now using jQuery 1.8, and the theme author should never have bundled his own copy of jQuery in the first place. That is what is breaking your site.

  8. cybernet70wp
    Member
    Posted 1 year ago #

    thankyou and yes, i already have emailed them.

    Appreciate your help thus far :)

  9. esmi
    Forum Moderator
    Posted 1 year ago #

    Can I ask where you downloaded this theme from?

  10. cybernet70wp
    Member
    Posted 1 year ago #

    my theme came from themeforest

  11. esmi
    Forum Moderator
    Posted 1 year ago #

    What was its name? Themeforest have asked to be notified of any theme that de-registers core jQuery.

  12. cybernet70wp
    Member
    Posted 1 year ago #

    can i email you please as i dont want to post developers on here ?
    The theme is great but i am getting no response from them at the moment :(

  13. Japh
    Member
    Posted 1 year ago #

    Hi Cybernet70wp,

    If you can please create a ticket for this particular jQuery issue at http://support.envato.com/ and then let me know your ticket ID (preferably via a tweet @Japh), I'll get this looked at.

    Thanks!

Topic Closed

This topic has been closed to new replies.

About this Topic